<?php
/**
* @version 			1.5.0
* @author       	http://www.jseblod.com
* @copyright		Copyright (C) 2009-2010 jSeblod. All Rights Reserved.
* @license 			GNU/GPL V2 License. http://www.jseblod-cck.com
* @package			Article Blog Content Template (Custom) - jSeblod CCK ( Content Construction Kit )
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
/**
 * Init jSeblod Process Object { !Important; !Required; }
 **/
$jSeblod	=	clone $this;
?>

<?php 
/**
 * Init Style Parameters
 **/
include( dirname(__FILE__) . '/params.php' );
?>

<?php
$doc	=&	JFactory::getDocument();
$br		=	strtolower($_SERVER['HTTP_USER_AGENT']); // Browser ?
if(ereg("msie 6", $br)) {$is_ie6 = "yes";} else {$is_ie6 = "no";}
if(ereg("msie 7", $br)) {$is_ie7 = "yes";} else {$is_ie7 = "no";}
if ($is_ie6 == "yes" || $is_ie7 == "yes" ) { ?>
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/blog-ie.css" type="text/css" />
<?php } else { ?>
   	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/blog.css" type="text/css" />
<?php }

if ( $articleInfos ) {
?>
<div class="blog_header">
	<div class="blog_header-t">
	    <div class="blog_header-b">
    		<div class="blog_header-m">
		    	<div class="blog_header-date">
                	<div class="blog_header-date-c">
						<?php echo JHTML::_('date', @$this->content->created, JText::_('<span id=date></span><span id=dateentry><span id=day>%d</span><span id=month>%b</span><span id=year>%Y</span></span>'));?>
                    </div>
                </div>
        		<div class="blog_header-m2">
			      		<h1><?php echo @$this->content->title; ?></h1>
			            <?php JText::printf( 'WRITTEN BY', ( @$this->content->created_by_alias ) ? $this->content->created_by_alias : @$this->content->author ); ?><br />
			            <span><?php echo JText::_( 'CATEGORY' ); ?>&nbsp;:&nbsp;</span><?php echo ( @$this->content->cat_link ) ? '<a href="'.$this->content->cat_link.'" target="_self">'.@$this->content->category.'</a>' : @$this->content->category; ?><br />
                        <span><?php echo JText::_( 'HITS' )?>&nbsp;:&nbsp;</span><?php echo @$this->content->hits; ?>
                        <?php if ( @$this->content->modified && @$this->content->modified != '0000-00-00 00:00:00' ) { ?>
            				<span>&nbsp;-&nbsp;<?php echo JText::_( 'LAST UPDATED' ); ?>&nbsp;:&nbsp;</span><?php echo JHTML::_('date', $this->content->modified, JText::_('DATE_FORMAT_LC3'));?>
                        <?php } ?>           
			    </div>
			</div>
		</div>
	</div>
</div>
<?php } ?>
<div class="blog_content">
	<?php if ( $jSeblod->bl_image->value ) { ?>
	<div class="blog_img"><a href="<?php echo $this->content->art_link; ?>"><?php echo $jSeblod->bl_image->value; ?></a></div>
    <?php } ?> 
    <?php
		$fulltexte = $jSeblod->bl_text->value;
		$word = '';
		$fullword = '';
		$texte = '';
		$letter = '';		
		if (preg_match('/^(.+)\b/U', $fulltexte, $matches)) {
	    $word = substr($matches[1], 1);
		$fullword = $matches[1];
		$texte = substr($fulltexte, strlen($fullword));
		$letter = substr($fulltexte, 0, 1);		
		} else {
	    $fullword = $fulltexte; 
		}
	?>  
	<div class="blog_letter"><?php echo $letter;?></div><p align="justify"><span class="blog_word"><?php echo $word;?></span><?php echo $texte;?></p></div>