<?php
/**
* @version 			1.5.0
* @author       	http://www.jseblod.com
* @copyright		Copyright (C) 2009-2010 jSeblod. All Rights Reserved.
* @license 			GNU/GPL V2 License. http://www.jseblod-cck.com
* @package			Article Blog Form Template (Custom, 2 Layouts) - jSeblod CCK ( Content Construction Kit )
**/

// No Direct Access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php
/**
 * Init jSeblod Process Object { !Important; !Required; }
 **/
$jSeblod	=	clone $this;
?>

<?php 
/**
 * Init Style Parameters
 **/
include( dirname(__FILE__) . '/params.php' );
?>

<?php
/**
 * Push jSeblod Form Action Field
 **/
echo $jSeblod->blog_action->form;
?>

<fieldset class="adminform" <?php echo $fieldsetStyle; ?>>
<?php if ( $showTitle ) { ?>
<legend <?php echo $legendStyle; ?>><?php echo ( @$this->menu->title ) ? @$this->menu->title : JText::_( 'CCK SITE FORM' ); ?></legend>
<?php } ?>

	<?php if ( $jSeblod->bl_menu->size == 1 ) {
	/**
	 * Layout 1 Column ( if Menu Field is DropDown )
	 **/
	$colspan	=	0;
	?>
    <table class="admintable" width="100%">
        <tr>
            <?php if ( @$jSeblod->bl_title->form ) { $colspan++; ?>
            <td>
                <?php echo $jSeblod->bl_title->form; ?>
            </td>
            <?php } ?>
            <?php if ( @$jSeblod->bl_image->form ) { $colspan++; ?>
            <td align="center" width="50">
                <?php echo $jSeblod->bl_image->form; ?>
            </td>
            <?php } ?>
            <?php if ( @$jSeblod->bl_menu->form ) { $colspan++; ?>
            <td align="center" width="200">
                <?php echo $jSeblod->bl_menu->form; ?>
            </td>
            <?php } ?>
            <?php if ( @$jSeblod->bl_publish->form ) { $colspan++; ?>
            <td align="center" width="50">
                <?php echo $jSeblod->bl_publish->form; ?>
            </td>
            <?php } ?>
        </tr>
        <?php if ( @$jSeblod->bl_text->form ) { ?>
        <tr>
            <td align="center" colspan="<?php echo $colspan; ?>">
                <?php echo $jSeblod->bl_text->form; ?>
            </td>
        </tr>
        <?php } ?>
    </table>
    <?php } else {
	/**
	 * Layout 2 Columns
	 **/
	?>
    <table class="admintable" width="100%">
        <tr>
			<td valign="top">
	            <table class="admintable" width="100%" valign="top">
                    <?php if ( @$jSeblod->bl_title->form ) { ?>
                    <tr>
	                    <td align="center">
    	                    <?php echo $jSeblod->bl_title->form; ?>
        	            </td>
                    </tr>
                    <?php } ?>
                    <?php if ( @$jSeblod->bl_text->form ) { ?>
                    <tr>
            	        <td align="center">
                	        <?php echo $jSeblod->bl_text->form; ?>
                    	</td>
                    </tr>
                    <?php } ?>
                 </table>
            </td>
  			<td width="200">
	            <table class="admintable" width="100%">
                    <?php if ( @$jSeblod->bl_image->form ) { ?>
                    <tr>
	                    <td align="center" height="34">
    	                    <?php echo $jSeblod->bl_image->form; ?>
        	            </td>
                    </tr>
                    <?php } ?>
                    <?php if ( @$jSeblod->bl_menu->form ) { ?>
                    <tr>
	                    <td align="center">
    	                    <?php echo $jSeblod->bl_menu->form; ?>
        	            </td>
                    </tr>
                    <?php } ?>
                    <?php if ( @$jSeblod->bl_publish->form ) { ?>
                    <tr>
            	        <td align="center">
                	        <?php echo $jSeblod->bl_publish->form; ?>
                    	</td>
                    </tr>
                    <?php } ?>
                 </table>
            </td>
        </tr>
    </table>
    
    <?php } ?>
</fieldset>